Package org.drinkless.tdlib

# Class TdApi.BlockMessageSenderFromReplies

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.BlockMessageSenderFromReplies

Enclosing class:
  `TdApi`

public static class TdApi.BlockMessageSenderFromReplies extends TdApi.Function<TdApi.Ok>
Blocks an original sender of a message in the Replies chat.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `deleteAllMessages`
  Pass true to delete all messages from the same sender.
  `boolean`
  `deleteMessage`
  Pass true to delete the message.
  `long`
  `messageId`
  The identifier of an incoming message in the Replies chat.
  `boolean`
  `reportSpam`
  Pass true to report the sender to the Telegram moderators.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlockMessageSenderFromReplies()`
  Default constructor for a function, which blocks an original sender of a message in the Replies chat.
  `BlockMessageSenderFromReplies(long messageId, boolean deleteMessage, boolean deleteAllMessages, boolean reportSpam)`
  Creates a function, which blocks an original sender of a message in the Replies chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageId

    public long messageId
    The identifier of an incoming message in the Replies chat.

  - ### deleteMessage

    public boolean deleteMessage
    Pass true to delete the message.

  - ### deleteAllMessages

    public boolean deleteAllMessages
    Pass true to delete all messages from the same sender.

  - ### reportSpam

    public boolean reportSpam
    Pass true to report the sender to the Telegram moderators.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BlockMessageSenderFromReplies

    public BlockMessageSenderFromReplies()
    Default constructor for a function, which blocks an original sender of a message in the Replies chat.

    Returns `Ok`

  - ### BlockMessageSenderFromReplies

    public BlockMessageSenderFromReplies(long messageId, boolean deleteMessage, boolean deleteAllMessages, boolean reportSpam)
    Creates a function, which blocks an original sender of a message in the Replies chat.

    Returns `Ok`

    Parameters:
      `messageId` - The identifier of an incoming message in the Replies chat.
      `deleteMessage` - Pass true to delete the message.
      `deleteAllMessages` - Pass true to delete all messages from the same sender.
      `reportSpam` - Pass true to report the sender to the Telegram moderators.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR